StatPersistedV1 (ZooKeeper 3.4.6 API)
Date: 2014-02-20

org.apache.zookeeper.data

## Class StatPersistedV1

- java.lang.Object
- - org.apache.zookeeper.data.StatPersistedV1

- All Implemented Interfaces:
    org.apache.jute.Record

      public class StatPersistedV1
      extends Object
      implements org.apache.jute.Record

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatPersistedV1()`
    `StatPersistedV1(long czxid, long mzxid, long ctime, long mtime, int version, int cversion, int aversion, long ephemeralOwner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object peer_)`
    `void` | `deserialize(org.apache.jute.InputArchive a_, String tag)`
    `boolean` | `equals(Object peer_)`
    `int` | `getAversion()`
    `long` | `getCtime()`
    `int` | `getCversion()`
    `long` | `getCzxid()`
    `long` | `getEphemeralOwner()`
    `long` | `getMtime()`
    `long` | `getMzxid()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `void` | `readFields(DataInput in)`
    `void` | `serialize(org.apache.jute.OutputArchive a_, String tag)`
    `void` | `setAversion(int m_)`
    `void` | `setCtime(long m_)`
    `void` | `setCversion(int m_)`
    `void` | `setCzxid(long m_)`
    `void` | `setEphemeralOwner(long m_)`
    `void` | `setMtime(long m_)`
    `void` | `setMzxid(long m_)`
    `void` | `setVersion(int m_)`
    `static String` | `signature()`
    `String` | `toString()`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatPersistedV1

          public StatPersistedV1()

    - #### StatPersistedV1

          public StatPersistedV1(long czxid,
                         long mzxid,
                         long ctime,
                         long mtime,
                         int version,
                         int cversion,
                         int aversion,
                         long ephemeralOwner)

  - ### Method Detail

    - #### getCzxid

          public long getCzxid()

    - #### setCzxid

          public void setCzxid(long m_)

    - #### getMzxid

          public long getMzxid()

    - #### setMzxid

          public void setMzxid(long m_)

    - #### getCtime

          public long getCtime()

    - #### setCtime

          public void setCtime(long m_)

    - #### getMtime

          public long getMtime()

    - #### setMtime

          public void setMtime(long m_)

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion(int m_)

    - #### getCversion

          public int getCversion()

    - #### setCversion

          public void setCversion(int m_)

    - #### getAversion

          public int getAversion()

    - #### setAversion

          public void setAversion(int m_)

    - #### getEphemeralOwner

          public long getEphemeralOwner()

    - #### setEphemeralOwner

          public void setEphemeralOwner(long m_)

    - #### serialize

          public void serialize(org.apache.jute.OutputArchive a_,
                       String tag)
                         throws IOException

      Specified by:
        `serialize` in interface `org.apache.jute.Record`
      Throws:
        `IOException`

    - #### deserialize

          public void deserialize(org.apache.jute.InputArchive a_,
                         String tag)
                           throws IOException

      Specified by:
        `deserialize` in interface `org.apache.jute.Record`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Throws:
        `IOException`

    - #### compareTo

          public int compareTo(Object peer_)
                        throws ClassCastException

      Throws:
        `ClassCastException`

    - #### equals

          public boolean equals(Object peer_)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### signature

          public static String signature()

Copyright © 2014 The Apache Software Foundation